Subject: Re: linux-next: Tree for January 12 (cifs vs. staging)

From: "Steve French" <[email-masked]>
Date: Mon, 12 Jan 2009 15:07:48 -0600

On Mon, Jan 12, 2009 at 1:13 PM, Greg KH <[email-masked]> wrote:
> On Mon, Jan 12, 2009 at 12:58:42PM -0600, Steve French wrote:
>> There is not just the cifs md5 one (which has been around a long
>> time), but an md5_init (static) in crypto and the new one in rt.  The
>> addition of the new one (rt md5_init) causes the build problem.   It
>> would be nice if we could use the same md5 routines though ... last
>> time we checked the crypto one was not well suited for calculating
>> signatures as a network fs would do though.
>
> I'll fix up the staging rt drivers to not do this, but cifs shouldn't be
> declaring such functions as globals either :)

I have changed the names of cifs's md5 functions in the cifs-2.6.git tree

diff --git a/fs/cifs/md5.h b/fs/cifs/md5.h
index f7d4f41..6fba8cb 100644
--- a/fs/cifs/md5.h
+++ b/fs/cifs/md5.h
@@ -20,10 +20,10 @@ struct HMACMD5Context {
 };
 #endif				/* _HMAC_MD5_H */

-void MD5Init(struct MD5Context *context);
-void MD5Update(struct MD5Context *context, unsigned char const *buf,
+void cifs_MD5_init(struct MD5Context *context);
+void cifs_MD5_update(struct MD5Context *context, unsigned char const *buf,
 			unsigned len);
-void MD5Final(unsigned char digest[16], struct MD5Context *context);
+void cifs_MD5_final(unsigned char digest[16], struct MD5Context *context);

-- 
Thanks,

Steve